---
id: v2024-task-status-message-parameters-inner
title: TaskStatusMessageParametersInner
pagination_label: TaskStatusMessageParametersInner
sidebar_label: TaskStatusMessageParametersInner
sidebar_class_name: gosdk
keywords: ['go', 'Golang', 'sdk', 'TaskStatusMessageParametersInner', 'V2024TaskStatusMessageParametersInner'] 
slug: /tools/sdk/go/v2024/models/task-status-message-parameters-inner
tags: ['SDK', 'Software Development Kit', 'TaskStatusMessageParametersInner', 'V2024TaskStatusMessageParametersInner']
---

# TaskStatusMessageParametersInner

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------

## Methods

### NewTaskStatusMessageParametersInner

`func NewTaskStatusMessageParametersInner() *TaskStatusMessageParametersInner`

NewTaskStatusMessageParametersInner instantiates a new TaskStatusMessageParametersInner object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewTaskStatusMessageParametersInnerWithDefaults

`func NewTaskStatusMessageParametersInnerWithDefaults() *TaskStatusMessageParametersInner`

NewTaskStatusMessageParametersInnerWithDefaults instantiates a new TaskStatusMessageParametersInner object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set


